Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyLine Class Reference

`#include <vtkPolyLine.h>`

Inheritance diagram for vtkPolyLine:

[legend]
Collaboration diagram for vtkPolyLine:

[legend]
List of all members.

## Detailed Description

cell represents a set of 1D lines

Date:
  2002/12/26 18:24:21

Revision:
  1.65

vtkPolyLine is a concrete implementation of vtkCell to represent a set of 1D lines.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (38%)
  - Blezek, Dan (36%)
  - Geveci, Berk (6%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkPolyLine.cxx)`
  - .`h` (`/Common/vtkPolyLine.h)`

Examples:
  vtkPolyLine (Examples)

Tests:
  vtkPolyLine (Tests)

Definition at line 60 of file vtkPolyLine.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | GenerateSlidingNormals (vtkPoints *, vtkCellArray *, vtkDataArray *)
int | GetParametricCenter (float pcoords[3])
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int vtkNotUsed(edgeId))
vtkCell * | GetFace (int vtkNotUsed(faceId))
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *lines, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
## Static Public Methods
vtkPolyLine * | New ()
int | IsTypeOf (const char *type)
vtkPolyLine * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyLine ()
| ~vtkPolyLine ()
## Protected Attributes
vtkLine * | Line

## Member Typedef Documentation

typedef vtkCell vtkPolyLine::Superclass

| Reimplemented from vtkCell. Definition at line 64 of file vtkPolyLine.h.

## Constructor & Destructor Documentation

vtkPolyLine::vtkPolyLine | ( |  | ) | `[protected]`

vtkPolyLine::~vtkPolyLine | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPolyLine* vtkPolyLine::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPolyLine::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell.

int vtkPolyLine::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

virtual int vtkPolyLine::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

vtkPolyLine* vtkPolyLine::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell.

int vtkPolyLine::GenerateSlidingNormals | ( | vtkPoints * | ,
|  | vtkCellArray * | ,
|  | vtkDataArray * |
| ) |

| Given points and lines, compute normals to lines. These are not true normals, they are "orientation" normals used by classes like vtkTubeFilter that control the rotation around the line. The normals try to stay pointing in the same direction as much as possible (i.e., minimal rotation).

int vtkPolyLine::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 75 of file vtkPolyLine.h. References VTK_POLY_LINE.

int vtkPolyLine::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 76 of file vtkPolyLine.h.

int vtkPolyLine::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 77 of file vtkPolyLine.h.

int vtkPolyLine::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 78 of file vtkPolyLine.h.

vtkCell* vtkPolyLine::GetEdge | ( | int | vtkNotUsed(edgeId) | ) | `[inline]`

| See the vtkCell API for descriptions of these methods. Definition at line 79 of file vtkPolyLine.h.

vtkCell* vtkPolyLine::GetFace | ( | int | vtkNotUsed(faceId) | ) | `[inline]`

| See the vtkCell API for descriptions of these methods. Definition at line 80 of file vtkPolyLine.h.

int vtkPolyLine::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyLine::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyLine::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | lines,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyLine::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyLine::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyLine::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyLine::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPolyLine::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPolyLine::GetParametricCenter | ( | float | pcoords[3] | ) | `[virtual]`

| Return the center of the point cloud in parametric coordinates. Reimplemented from vtkCell.

## Member Data Documentation

vtkLine* vtkPolyLine::Line`[protected]`

| Definition at line 112 of file vtkPolyLine.h.

The documentation for this class was generated from the following file:

- Common/vtkPolyLine.h